<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
	<style type="text/css">
		.xlsExport {
    		background-image: url(images/xls.svg) !important
    		
		}
	</style>  
    <h:form>
        <p:outputLabel value="Legajos : "/>
        <p:separator />
		<p:commandButton  value="Nuevo" action="#{legajoMB.reset}" ajax="false" rendered="#{legajoMB.puedeAgregarLegajos()}"/>
        <p:separator />
        <p:dataTable id="listLegajos" var="ent" value="#{legajoMB.list}" widgetVar="tabla"
                 emptyMessage="No hay resultados para esa busqueda" 
                 rows="25" paginator="true" paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown} {Exporters}">
            

	        <f:facet name="{Exporters}">
	            <p:commandButton icon="ui-icon-extlink" value="Exportar xls..." ajax="false" immediate="true" style="float: right !important;margin-right: 5px !important;" >
	                <p:dataExporter  type="xls" target="listLegajos" fileName="legajos" />
	            </p:commandButton>
            </f:facet>            
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar por Código, Apellido y Nombre, DNI : " />
	                <p:inputText id="globalFilter" onkeyup="PF('tabla').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            </p:outputPanel>
        	</f:facet>
            
            <p:column filterBy="#{ent.codigo}" headerText="Código" filterMatchMode="contains">
                <p:outputLabel value="#{ent.codigo}" />
            </p:column>
            <p:column filterBy="#{ent.apellidoYNombre}" headerText="Apellido y nombre" filterMatchMode="contains">
                <p:outputLabel value="#{ent.apellidoYNombre}" />
            </p:column>
            <p:column filterBy="#{ent.nroDocumento}" headerText="DNI" filterMatchMode="contains">
                <p:outputLabel value="#{ent.nroDocumento}" />
            </p:column>            
            <p:column  headerText="Sexo"  style="display:none;">
                <p:outputLabel value="#{ent.sexo.descripcion}" />
            </p:column>  
            <p:column  headerText="Dirección"  style="display:none;">
                <p:outputLabel value="#{ent.direccion}" />
            </p:column>  
            <p:column  headerText="Teléfono"  style="display:none;">
                <p:outputLabel value="#{ent.telefono}" />
            </p:column>  
            <p:column exportable="false">
                <f:facet name="header">
                    <p:outputLabel value="Editar/Consultar" />
                </f:facet>
                <p:commandButton id="edit" action="#{legajoMB.edit(ent)}" icon="#{legajoMB.puedeEditar(ent)?'ui-icon-pencil':'ui-icon-search'}" ajax="false" >
                </p:commandButton>
            </p:column>
            <p:column rendered="#{legajoMB.puedeBorrar()}" exportable="false">
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages listLegajos" action="#{legajoMB.delete(ent)}" rendered="#{legajoMB.puedeBorrar()}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el legajo" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{legajoMB.reset}" ajax="false" rendered="#{legajoMB.puedeAgregarLegajos()}"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>   
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
	</ui:define>
</ui:composition>
